Subject: Re: [PATCH v3 3/3] doc: git-add: simplify discussion of ignored files

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Aug 2025 13:09:21 -0700

"Julia Evans via GitGitGadget" <[email-masked]> writes:

> -The `git add` command will not add ignored files by default.  If any
> -ignored files were explicitly specified on the command line, `git add`
> -will fail with a list of ignored files.  Ignored files reached by
> -directory recursion or filename globbing performed by Git (quote your
> -globs before the shell) will be silently ignored.  The `git add` command can
> -be used to add ignored files with the `-f` (force) option.
> +The `git add` command will not add ignored files by default. You can
> +use the `--force` option to add ignored files. If you specify the exact
> +filename of an ignored file, `git add` will fail with a list of ignored
> +files. Otherwise it will silently ignore the file.

Nice.  Much simplified, yet still teaches the same thing.

Thanks.